Subject: Re: What's cooking in git.git (Jan 2025, #05; Fri, 17)

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 23 Jan 2025 18:45:54 +0100

On Thu, Jan 23, 2025 at 09:22:30AM -0800, Junio C Hamano wrote:
> Karthik Nayak <[email-masked]> writes:
> 
> > Karthik Nayak <[email-masked]> writes:
> >
> >> Junio C Hamano <[email-masked]> writes:
> >>
> >>> * kn/reflog-migration-fix (2025-01-15) 1 commit
> >>>   (merged to 'next' on 2025-01-16 at ae8f9ce9a0)
> >>>  + reftable: write correct max_update_index to header
> >>>  (this branch is used by kn/reflog-migration-fix-followup.)
> >>> ...
> >> This seems to be breaking on 'next'.
> > ...
> > reproduces the issue. I haven't found the root cause yet, but will
> > mostly call it a day and get back to this tomorrow.
> 
> We have a handful of topics related to refs subsystem in flight,
> and I am a bit lost here.
> 
> (1) kn/reflog-migration-fix (the above) was done as a "fix" for the
>     issue reported by brian in
>     https://lore.kernel.org/all/[email-masked]/ 
> 
> (2) You mention that (1) is broken in the message I am responding
>     to.  There is no known fix yet, so (1) needs to wait in 'next'
>     until it gets fixed.
> 
> (3) kn/reflog-migration-fix-followup is a code clean-up for (1); it
>     has to wait for (2) as well.
> 
> (4) kn/reflog-symref-fix is a fix for a different bug the commit
>     that introduced the bug (1) addresses.  It can proceed
>     independently from the other topics.
> 
> (5) ps/reflog-migration-with-logall-fix is another fix for a
>    different bug introduced by the same series whose bugs are
>    addressed by (1) and (4).  It can proceed independently from the
>    other topics.
> 
> The above is my current understanding; did I miss any other relevant
> topics that are related to these efforts, and/or did I misunderstand
> the dependencies among them?
> 
> If I am not misunderstanding the current status of these topics,
> I'll be marking (4) and (5) for 'next'; I am undecided for (3).

Karthik has meanwhile sent a v2 [1] of the broken patch in (1) that
fixes the issue discovered in (2). Given that (1) has already been in
next, (2) probably needs to be rerolled to be a patch on top of what we
already have in next.

Other than that yes, I think (4) and (5) can be merged independently of
(1) to (3).

Patrick

[1]: <[email-masked]>